Bug 22464 - Copyright notice does not pass forward request properties
Summary: Copyright notice does not pass forward request properties
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Isherwood
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-06 14:05 UTC by Andrew Isherwood
Modified: 2019-10-14 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22464: Pass forward parameters (2.77 KB, patch)
2019-03-06 14:27 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 22464: Pass forward parameters (2.82 KB, patch)
2019-04-17 15:57 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22464: Pass forward parameters (2.87 KB, patch)
2019-04-18 11:36 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2019-03-06 14:05:53 UTC
It is possible that request properties have been supplied prior to the copyright notice stage being reached, for example using the OpenURL submission function provided by the FreeForm backend. As such, any request parameters are lost since the "Yes" acceptance button on the copyright notice does not pass any parameters forward.
Comment 1 Andrew Isherwood 2019-03-06 14:27:30 UTC
Created attachment 86184 [details] [review]
Bug 22464: Pass forward parameters

This patch ensures that parameters that are present are passed forward
when accepting the copyright notice.

Test plan:

- Clone the latest version of the FreeForm backend from:
  https://github.com/PTFS-Europe/koha-ill-freeform
- Ensure the ILLModuleCopyrightClearance syspref is populated
- Create an OpenURL in order to pre-populate the FreeForm form, a suitable URL would be:

<your_koha_instance>/cgi-bin/koha/opac-illrequests.pl?openurl=true&backend=FreeForm&method=create&opac=1&atitle=Theater%20careers.%20%5Belectronic%20resource%5D%20%3A%20a%20realistic%20guide.&aulast=Donahue%2C%20Tim&date=2012&genre=article&isbn=978123123123&issn=1234-5678&issue=34&pages=12-34&sid=EBSCO%3AAthlone%20Institute%20of%20Technology%3Aait.101326&title=article%20title%20here&volume=12

- Log in
- Accept the copyright notice
=> TEST: Observe that the FreeForm form is pre-filled with the metadata
supplied in the OpenURL
Comment 2 Liz Rea 2019-04-17 15:57:53 UTC
Created attachment 88214 [details] [review]
Bug 22464: Pass forward parameters

This patch ensures that parameters that are present are passed forward
when accepting the copyright notice.

Test plan:

- Clone the latest version of the FreeForm backend from:
  https://github.com/PTFS-Europe/koha-ill-freeform
- Ensure the ILLModuleCopyrightClearance syspref is populated
- Create an OpenURL in order to pre-populate the FreeForm form, a suitable URL would be:

<your_koha_instance>/cgi-bin/koha/opac-illrequests.pl?openurl=true&backend=FreeForm&method=create&opac=1&atitle=Theater%20careers.%20%5Belectronic%20resource%5D%20%3A%20a%20realistic%20guide.&aulast=Donahue%2C%20Tim&date=2012&genre=article&isbn=978123123123&issn=1234-5678&issue=34&pages=12-34&sid=EBSCO%3AAthlone%20Institute%20of%20Technology%3Aait.101326&title=article%20title%20here&volume=12

- Log in
- Accept the copyright notice
=> TEST: Observe that the FreeForm form is pre-filled with the metadata
supplied in the OpenURL

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Liz Rea 2019-04-17 16:03:06 UTC
Just want to note that this is very helpful:

https://wiki.koha-community.org/wiki/ILL_backends

Also the About page shows ILL backend config problems, which is very useful and I didn't know before.
Comment 4 Josef Moravec 2019-04-18 11:36:07 UTC
Created attachment 88289 [details] [review]
Bug 22464: Pass forward parameters

This patch ensures that parameters that are present are passed forward
when accepting the copyright notice.

Test plan:

- Clone the latest version of the FreeForm backend from:
  https://github.com/PTFS-Europe/koha-ill-freeform
- Ensure the ILLModuleCopyrightClearance syspref is populated
- Create an OpenURL in order to pre-populate the FreeForm form, a suitable URL would be:

<your_koha_instance>/cgi-bin/koha/opac-illrequests.pl?openurl=true&backend=FreeForm&method=create&opac=1&atitle=Theater%20careers.%20%5Belectronic%20resource%5D%20%3A%20a%20realistic%20guide.&aulast=Donahue%2C%20Tim&date=2012&genre=article&isbn=978123123123&issn=1234-5678&issue=34&pages=12-34&sid=EBSCO%3AAthlone%20Institute%20of%20Technology%3Aait.101326&title=article%20title%20here&volume=12

- Log in
- Accept the copyright notice
=> TEST: Observe that the FreeForm form is pre-filled with the metadata
supplied in the OpenURL

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-04-19 14:55:39 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-26 14:43:46 UTC
Enhancement will not be backported to 18.11.x series.
Comment 7 Martin Renvoize 2019-04-29 08:26:51 UTC
OK, I've had a chat with Andrew and he's informed me this isn't actually dependant on 18589 at all in reality.. it was just marked that way to prevent too much work rebasing the enhancements tree.

As such, I'll backport this one this morning before releasing 18.11.05
Comment 8 Martin Renvoize 2019-04-29 13:13:01 UTC
Pushed to 18.11.x for 18.11.05